animTemplate = """theImages[%d] = new Image();
theImages[%d].src = \"%s\";"""

animImagesToken = "%%IMAGES%%" 

animScript = """<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<!-- Entwickelt auf Basis der Satellitenbild Animation der ZAMG, siehe www.zamg.ac.at"  -->
<head>
  <title>MEtaSense Animation</title>

  <style type="text/css">
<!--
	p,h1,h2,h3,h4,form,ul,ol,li,div,td,th,address,blockquote,nobr,b,i
		{ font-family:Arial,Helvetica,Verdana,sans-serif; }
	.fbb { font-size:18pt; color:#000055; }
	.fb { font-size:12pt; color:#000055; }
	.fn { font-size:10pt; color:#000055; }
	input { font-family:Arial,Helvetica,Verdana,sans-serif; 
						font-size:10pt; color:#000055; }
-->

</style>

<script language="javascript">

<!-- hide the script from old browsers 
//=== global variables ====

first_image = 0;

current_image = 0;
animation_width  = 300;
animation_height = 229;

theImages = new Array();

delay = 200;
delay_step = 10;
delay_min = 20; 
delay_max = 1000;
timeID = null;
play_dir = 1;			// -1=reverse 0=stopped, 1=forward
play_mode = 1;			// 0=oneShot, 1=loop, 2=swing
pause_factor = 4;
pause_delay = pause_factor * delay;

HiLiteButton = "";
%%IMAGES%%
last_image = theImages.length-1;

SAbut_rrstop0 = new Image();
SAbut_rrstop0.src = "images/SAbut_rrstop0.gif";
SAbut_rrstop1 = new Image();
SAbut_rrstop1.src = "images/SAbut_rrstop1.gif";
SAbut_rrstop2 = new Image();
SAbut_rrstop2.src = "images/SAbut_rrstop2.gif";
SAbut_rrstop3 = new Image();
SAbut_rrstop3.src = "images/SAbut_rrstop3.gif";
SAbut_rstop0 = new Image();
SAbut_rstop0.src = "images/SAbut_rstop0.gif";
SAbut_rstop1 = new Image();
SAbut_rstop1.src = "images/SAbut_rstop1.gif";
SAbut_rstop2 = new Image();
SAbut_rstop2.src = "images/SAbut_rstop2.gif";
SAbut_rstop3 = new Image();
SAbut_rstop3.src = "images/SAbut_rstop3.gif";
SAbut_r0 = new Image();
SAbut_r0.src = "images/SAbut_r0.gif";
SAbut_r1 = new Image();
SAbut_r1.src = "images/SAbut_r1.gif";
SAbut_r2 = new Image();
SAbut_r2.src = "images/SAbut_r2.gif";
SAbut_r3 = new Image();
SAbut_r3.src = "images/SAbut_r3.gif";
SAbut_stop0 = new Image();
SAbut_stop0.src = "images/SAbut_stop0.gif";
SAbut_stop1 = new Image();
SAbut_stop1.src = "images/SAbut_stop1.gif";
SAbut_stop2 = new Image();
SAbut_stop2.src = "images/SAbut_stop2.gif";
SAbut_stop3 = new Image();
SAbut_stop3.src = "images/SAbut_stop3.gif";
SAbut_f0 = new Image();
SAbut_f0.src = "images/SAbut_f0.gif";
SAbut_f1 = new Image();
SAbut_f1.src = "images/SAbut_f1.gif";
SAbut_f2 = new Image();
SAbut_f2.src = "images/SAbut_f2.gif";
SAbut_f3 = new Image();
SAbut_f3.src = "images/SAbut_f3.gif";
SAbut_fstop0 = new Image();
SAbut_fstop0.src = "images/SAbut_fstop0.gif";
SAbut_fstop1 = new Image();
SAbut_fstop1.src = "images/SAbut_fstop1.gif";
SAbut_fstop2 = new Image();
SAbut_fstop2.src = "images/SAbut_fstop2.gif";
SAbut_fstop3 = new Image();
SAbut_fstop3.src = "images/SAbut_fstop3.gif";
SAbut_ffstop0 = new Image();
SAbut_ffstop0.src = "images/SAbut_ffstop0.gif";
SAbut_ffstop1 = new Image();
SAbut_ffstop1.src = "images/SAbut_ffstop1.gif";
SAbut_ffstop2 = new Image();
SAbut_ffstop2.src = "images/SAbut_ffstop2.gif";
SAbut_ffstop3 = new Image();
SAbut_ffstop3.src = "images/SAbut_ffstop3.gif";
SAbut_minus0 = new Image();
SAbut_minus0.src = "images/SAbut_minus0.gif";
SAbut_minus1 = new Image();
SAbut_minus1.src = "images/SAbut_minus1.gif";
SAbut_minus2 = new Image();
SAbut_minus2.src = "images/SAbut_minus2.gif";
SAbut_minus3 = new Image();
SAbut_minus3.src = "images/SAbut_minus3.gif";
SAbut_plus0 = new Image();
SAbut_plus0.src = "images/SAbut_plus0.gif";
SAbut_plus1 = new Image();
SAbut_plus1.src = "images/SAbut_plus1.gif";
SAbut_plus2 = new Image();
SAbut_plus2.src = "images/SAbut_plus2.gif";
SAbut_plus3 = new Image();
SAbut_plus3.src = "images/SAbut_plus3.gif";
SAbut_x0 = new Image();
SAbut_x0.src = "images/SAbut_x0.gif";
SAbut_x1 = new Image();
SAbut_x1.src = "images/SAbut_x1.gif";
SAbut_x2 = new Image();
SAbut_x2.src = "images/SAbut_x2.gif";
SAbut_x3 = new Image();
SAbut_x3.src = "images/SAbut_x3.gif";

//===> Flip Button HiLite function
function FBHiLite(name, mode, comment) {
	if (name != "") {
	    if (mode == 0)
		HiLiteButton = "";
	    else
		HiLiteButton = name;
	}

	// set play/stop button
	switch (play_dir) {
	    case -1: aname = "SAbut_r"; break;
	    case  0: aname = "SAbut_stop"; break;
	    case  1: aname = "SAbut_f"; break;
	}
	if (aname == HiLiteButton)
	    amode = 1;
	else if  (mode == 2)
	    amode = 0;
	else
	    amode = 3;
	document[aname].src = eval(aname + amode + ".src");

	// set indicated button (if not the same button as above)
	if (name != "" && (name != aname || mode == 2)) {
	    document[name].src = eval(name + mode + ".src");
	    window.status = comment;
	}

	return true;
}



//===> display image depending on play mode in forward direction
function animate_fwd() {
   current_image++;
   if (current_image > last_image) { 
      if (play_mode == 0) {			// ONE SHOT
         current_image = last_image; 
         change_play_dir(0);
      } else if (play_mode == 1) {		// LOOP
         current_image = first_image - 1;
         timeID = setTimeout("animate_fwd()", pause_delay);
      } else if (play_mode == 2) {		// SWING
         current_image = last_image;
         timeID = setTimeout("reverte_swing()", pause_delay);
      };
      return; 
   };                             
   document.animation.src = theImages[current_image].src;
   document.control_form.frame_nr.value = current_image;
   timeID = setTimeout("animate_fwd()", delay);
}

//===> display image depending on play mode in reverse direction
function animate_rev() {
   current_image--;
   if (current_image < first_image) { 
      if (play_mode == 0) {			// ONE SHOT
         current_image = first_image; 
         change_play_dir(0);
      } else if (play_mode == 1) {		// LOOP
         current_image = last_image + 1;
         timeID = setTimeout("animate_rev()", pause_delay);
      } else if (play_mode == 2) {		// SWING
         current_image = first_image;
         timeID = setTimeout("reverte_swing()", pause_delay);
      };
      return; 
   };                             
   document.animation.src = theImages[current_image].src;
   document.control_form.frame_nr.value = current_image;
   timeID = setTimeout("animate_rev()", delay);
}

//===> reverte play direction of swing
function reverte_swing() {
   dir = play_dir * (-1);
   change_play_dir(dir);
   if (dir == 1)
      animate_fwd();
   else
      animate_rev();
}

//===> stop the movie
function stop() {
   if (play_dir != 0) { 
      clearTimeout (timeID);
      change_play_dir(0);
   }
}

//===> play forward
function fwd() {
   stop();
   change_play_dir(1);
   if (play_mode == 0 && current_image == last_image)
      current_image = first_image - 1;
   animate_fwd();
}

//===> play reverse
function rev() {
   stop();
   change_play_dir(-1);
   if (play_mode == 0 && current_image == first_image)
      current_image = last_image + 1;
   animate_rev();
}

//===> jump to a given image number
function go2image(number) {
   stop();
   if (number > last_image) number = last_image;
   if (number < first_image) number = first_image;
   current_image = number;
   document.animation.src = theImages[current_image].src;
   document.control_form.frame_nr.value = current_image;
}

//===> change play mode (normal, loop, swing)
function change_mode(mode) {
   play_mode = mode;
}

//===> change playing speed
function change_speed(dv) {
   if (dv > delay_max) dv = delay_max;
   if (dv < delay_min) dv = delay_min;
   delay=dv;
   pause_delay = pause_factor * delay;
   document.control_form.loop_delay.value = delay;
   document.control_form.frames_per_sec.value = (Math.ceil(10000 / delay)) / 10;
}

//===> change play direction
function change_play_dir(dir) {
   FBHiLite("", 2, "");
   play_dir = dir;
   FBHiLite("", 3, "");
   document.control_form.loop_dir.value = play_dir;
}

//===> reload the frame as (possibly) a new image is available
function reload_frame() {
   document.control_form.submit();
}

//===> sets everything once the whole page and the images are loaded 
//     (onLoad handler in <body>)
function launch() {
   go2image(0);
   change_play_dir(1);
   setTimeout("reload_frame()", 300 * 1000);

   document.animation.src = theImages[current_image].src;
   document.control_form.frame_nr.value = current_image;
   // this needs to be done to set the right mode when the page is manualy 
   // reloaded
   change_mode (document.control_form.loop_mode.selectedIndex);
   document.control_form.frames_per_sec.value = (Math.ceil(10000 / delay)) / 10;
   fwd();
};

//=== END OF CODE === -->

</script>

<noscript>
<center>
<font face="Arial,Helvetica" size=+1>
Bitte JavaScript einschalten! - Please enable Javascript!
</font>
</center>
</noscript>

</head>

<body bgcolor="#ffffff" onLoad="launch()">

<font face="Arial,Helvetica">

<form method="get" name="control_form">

    <input type="hidden" name="loop_delay" value="100">

    <input type="hidden" name="loop_dir" value="1">

<center>
<table border="0" width="100%">
  <tr>
    <td>
	<img src="images/spacer.gif" width="22">
    </td><td width="98%" align="center">
	<span class="fb"><b>Metalab Lock Status Gliding Average - Animation </b><br />
	Animation Code taken from <a href="http://www.zamg.ac.at/">http://www.zamg.ac.at/</a></span>

    </td><td algin="right" valign="top">
<a href="JavaScript:self.close()"
	onMouseOver="FBHiLite('SAbut_x', 1, 'close window')"
	onMouseDown="FBHiLite('SAbut_x', 2, 'close window')"
	onMouseUp="FBHiLite('SAbut_x', 1, 'close window')"
	onMouseOut="FBHiLite('SAbut_x', 0, '')">
	<img name="SAbut_x" src="images/SAbut_x0.gif" border=0
		width=22 height=22 alt="close window"></a>
    </td>
  </tr>
</table>
<p>
<img name="animation" src="images/sat_dummy.gif" 
     alt="SAT Image">
</p>
<a href="JavaScript:go2image(first_image)"
	onMouseOver="FBHiLite('SAbut_rrstop', 1, 'oldest image')"
	onMouseDown="FBHiLite('SAbut_rrstop', 2, 'oldest image')"
	onMouseUp="FBHiLite('SAbut_rrstop', 1, 'oldest image')"
	onMouseOut="FBHiLite('SAbut_rrstop', 0, '')">
	<img name="SAbut_rrstop" src="images/SAbut_rrstop0.gif" border=0
		width=32 height=22 alt="oldest image"></a>
<a href="JavaScript:go2image(--current_image)"
	onMouseOver="FBHiLite('SAbut_rstop', 1, 'one image back')"
	onMouseDown="FBHiLite('SAbut_rstop', 2, 'one image back')"
	onMouseUp="FBHiLite('SAbut_rstop', 1, 'one image back')"
	onMouseOut="FBHiLite('SAbut_rstop', 0, '')">

	<img name="SAbut_rstop" src="images/SAbut_rstop0.gif" border=0
		width=32 height=22 alt="one image back"></a>
<a href="JavaScript:rev()"
	onMouseOver="FBHiLite('SAbut_r', 1, 'play reverse')"
	onMouseDown="FBHiLite('SAbut_r', 2, 'play reverse')"
	onMouseUp="FBHiLite('SAbut_r', 1, 'play reverse')"
	onMouseOut="FBHiLite('SAbut_r', 0, '')">
	<img name="SAbut_r" src="images/SAbut_r0.gif" border=0
		width=32 height=22 alt="play reverse"></a>
<a href="JavaScript:stop()"
	onMouseOver="FBHiLite('SAbut_stop', 1, 'stop playing')"
	onMouseDown="FBHiLite('SAbut_stop', 2, 'stop playing')"
	onMouseUp="FBHiLite('SAbut_stop', 1, 'stop playing')"
	onMouseOut="FBHiLite('SAbut_stop', 0, '')">
	<img name="SAbut_stop" src="images/SAbut_stop0.gif" border=0
		width=32 height=22 alt="stop playing"></a>
<a href="JavaScript:fwd()"
	onMouseOver="FBHiLite('SAbut_f', 1, 'play forward')"
	onMouseDown="FBHiLite('SAbut_f', 2, 'play forward')"
	onMouseUp="FBHiLite('SAbut_f', 1, 'play forward')"
	onMouseOut="FBHiLite('SAbut_f', 0, '')">
	<img name="SAbut_f" src="images/SAbut_f0.gif" border=0
		width=32 height=22 alt="play forward"></a>
<a href="JavaScript:go2image(++current_image)"
	onMouseOver="FBHiLite('SAbut_fstop', 1, 'one image forward')"
	onMouseDown="FBHiLite('SAbut_fstop', 2, 'one image forward')"
	onMouseUp="FBHiLite('SAbut_fstop', 1, 'one image forward')"
	onMouseOut="FBHiLite('SAbut_fstop', 0, '')">
	<img name="SAbut_fstop" src="images/SAbut_fstop0.gif" border=0
		width=32 height=22 alt="one image forward"></a>
<a href="JavaScript:go2image(last_image)"
	onMouseOver="FBHiLite('SAbut_ffstop', 1, 'latest image')"
	onMouseDown="FBHiLite('SAbut_ffstop', 2, 'latest image')"
	onMouseUp="FBHiLite('SAbut_ffstop', 1, 'latest image')"
	onMouseOut="FBHiLite('SAbut_ffstop', 0, '')">
	<img name="SAbut_ffstop" src="images/SAbut_ffstop0.gif" border=0
		width=32 height=22 alt="latest image"></a>

    <br>
    <table border=0 cellspacing=0 cellpadding=2>
      <tr><td valign=center>
	<select class="fn" name="loop_mode" 
				onChange="change_mode(this.selectedIndex)"> 
	  <option  value=0>One Shot 
	  <option selected value=1>Loop 
	  <option  value=2>Swing 
	</select> 
	<input class="fn" type="text" name="frame_nr" value="0" size="3" 
		onFocus="this.select()" onChange="go2image(this.value)"> 
      </td><td valign=center class="fn">
	&nbsp;
	Speed:
      </td><td valign=center>

<a href="JavaScript:change_speed(delay + delay_step)"
	onMouseOver="FBHiLite('SAbut_minus', 1, 'slower')"
	onMouseDown="FBHiLite('SAbut_minus', 2, 'slower')"
	onMouseUp="FBHiLite('SAbut_minus', 1, 'slower')"
	onMouseOut="FBHiLite('SAbut_minus', 0, '')">
	<img name="SAbut_minus" src="images/SAbut_minus0.gif" border=0
		width=22 height=22 alt="slower"></a>
<a href="JavaScript:change_speed(delay - delay_step)"
	onMouseOver="FBHiLite('SAbut_plus', 1, 'faster')"
	onMouseDown="FBHiLite('SAbut_plus', 2, 'faster')"
	onMouseUp="FBHiLite('SAbut_plus', 1, 'faster')"
	onMouseOut="FBHiLite('SAbut_plus', 0, '')">
	<img name="SAbut_plus" src="images/SAbut_plus0.gif" border=0
		width=22 height=22 alt="faster"></a>
      </td><td valign=center>
	<input class="fn" type="text" name="frames_per_sec" value="0" size="4" 
	onFocus="this.select()" onChange="change_speed(1000 / this.value)">
      </td><td valign=center>
	<span class="fn">fps</span>
      </td></tr>

    </table>
</form> 
</p> 

</center>

<br>
<br>

</font>
</body>
</html>
"""