from draw_statistic_graphs import *

days = 25
avgLen = 0 

now =  datetime.now()

html = file("%s/gliding_average.html" % webDir, "w")

intro = """<html>
<head>
<title>MEtaSense: Gliding Average - the Lab evolves...</title>
</head>
<body>
<h1>Gliding Average Last %d days, average intervall %d days</h1>
"""

html.write(intro % (days, avgLen))

lock = "<h2>Lock Status</h2>"
main_move = "<h2>Main Room Movement</h2>"
kitchen_move = "<h2>Kitchen Movement</h2>"

for day in range(0, days):
	startOfToday = now-timedelta(days=day, hours=now.hour, minutes=now.minute, seconds=now.second)
	avg_plot("mainroom_move1", startOfToday, "Main Room Movement", "metalab_activity_avg_%d.png" % day, days=avgLen, yrange=50)
	avg_plot("door_lock", startOfToday, "LockStatus", "metalab_lock_activity_avg_%d.png" % day, days=avgLen, ytic=128, yrange=256, offset=255, mul=-1)
	avg_plot("kitchen_move", startOfToday, "Kitchen Movement", "metalab_kitchen_activity_avg_%d.png" % day, days=avgLen, yrange=50)
	lock += "<img src=\"metalab_lock_activity_avg_%d.png\" /><br />" % (day)
	main_move += "<img src=\"metalab_activity_avg_%d.png\" /><br />" % (day)
	kitchen_move += "<img src=\"metalab_kitchen_activity_avg_%d.png\" /><br />" % (day)

html.write(lock)
html.write(main_move)
html.write(kitchen_move)

html.write("</body></html>")
html.close()
